- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.dashboards/fetchMigrationJobs#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.dashboards/fetchMigrationJobs#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.dashboards/fetchMigrationJobs#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.dashboards/fetchMigrationJobs#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.dashboards/fetchMigrationJobs#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.dashboards/fetchMigrationJobs#body.FetchMigrationJobsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.dashboards/fetchMigrationJobs#body.aspect)
- [MigrationJob](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.dashboards/fetchMigrationJobs#MigrationJob)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.dashboards/fetchMigrationJobs#MigrationJob.SCHEMA_REPRESENTATION)
- [DashboardMigrationResult](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.dashboards/fetchMigrationJobs#DashboardMigrationResult)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.dashboards/fetchMigrationJobs#DashboardMigrationResult.SCHEMA_REPRESENTATION)

**Full name**: projects.locations.instances.dashboards.fetchMigrationJobs

Fetch migration jobs for a given customer.

### HTTP request

`GET https://{endpoint}/v1alpha/{parent}/dashboards:fetchMigrationJobs`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource for which to fetch migration jobs. Format: projects/{project}/locations/{region}/instances/{instance} |

### Query parameters

| Parameters ||
|---|---|
| `migrationJobId` | `string` Optional. The ID of the migration job to fetch. |
| `dashboard` | `string` Optional. The resource name of the dashboard to fetch the migration status for. When set, only the migration result of this dashboard is returned. Format: projects/{project}/locations/{region}/instances/{instance}/dashboards/{dashboard} |

### Request body

The request body must be empty.

### Response body

Response message for fetching migration jobs.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "migrationJobs": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.dashboards/fetchMigrationJobs#MigrationJob`) } ] } ``` |

| Fields ||
|---|---|
| `migrationJobs[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.dashboards/fetchMigrationJobs#MigrationJob`)`` Output only. The migration jobs. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

## MigrationJob

Migration job details.

| JSON representation |
|---|
| ``` { "migrationJobId": string, "jobMigrationStatus": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/JobMigrationState`), "results": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.dashboards/fetchMigrationJobs#DashboardMigrationResult`) } ], "startedBy": string, "startTime": string, "endTime": string } ``` |

| Fields ||
|---|---|
| `migrationJobId` | `string` Output only. The ID of the migration job. |
| `jobMigrationStatus` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/JobMigrationState`)`` Output only. The status of the migration job. |
| `results[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.dashboards/fetchMigrationJobs#DashboardMigrationResult`)`` Output only. The results of the individual dashboard migrations. |
| `startedBy` | `string` Output only. The user who started the migration job. |
| `startTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Output only. The time when the migration job started. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |
| `endTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Output only. The time when the migration job ended. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |

## DashboardMigrationResult

Result of a single dashboard migration.

| JSON representation |
|---|
| ``` { "dashboard": string, "status": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.dashboards#DashboardMigrationState`), "errorMessage": string, "nativeDashboard": string, "title": string } ``` |

| Fields ||
|---|---|
| `dashboard` | `string` Output only. The resource name of the legacy dashboard. |
| `status` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.dashboards#DashboardMigrationState`)`` Output only. The status of the migration. |
| `errorMessage` | `string` Output only. Error message if the migration failed. |
| `nativeDashboard` | `string` Output only. The resource name of the native dashboard created. |
| `title` | `string` Output only. The title of the legacy dashboard. |